| TagLib 1.13 |  |

Public Member Functions | List of all members
TagLib::FLAC::Properties Class Reference

An implementation of audio property reading for FLAC. More...

`#include <flacproperties.h>`

Inheritance diagram for TagLib::FLAC::Properties:
[legend]
Collaboration diagram for TagLib::FLAC::Properties:
[legend]

## Public Member Functions
| Properties (ByteVector data, long streamLength, ReadStyle style=Average)
| Properties (File *file, ReadStyle style=Average)
virtual | ~Properties ()
virtual TAGLIB_DEPRECATED int | length () const
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const
virtual int | sampleRate () const
virtual int | channels () const
int | bitsPerSample () const
TAGLIB_DEPRECATED int | sampleWidth () const
unsigned long long | sampleFrames () const
ByteVector | signature () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
virtual int | length () const =0
int | lengthInSeconds () const
int | lengthInMilliseconds () const
virtual int | bitrate () const =0
virtual int | sampleRate () const =0
virtual int | channels () const =0

## Additional Inherited Members
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }
Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of audio property reading for FLAC.

This reads the data from an FLAC stream found in the AudioProperties API.

## Constructor & Destructor Documentation

## ◆ Properties() [1/2]

TagLib::FLAC::Properties::Properties | ( | ByteVector | data,
|  | long | streamLength,
|  | ReadStyle | style = `Average`
| ) |  |

Create an instance of FLAC::Properties with the data read from the ByteVector data.

## ◆ Properties() [2/2]

TagLib::FLAC::Properties::Properties | ( | File * | file,
|  | ReadStyle | style = `Average`
| ) |  |

Create an instance of FLAC::Properties with the data read from the FLAC::File file.

## ◆ ~Properties()

virtual TagLib::FLAC::Properties::~Properties | ( |  | ) |
| virtual

Destroys this FLAC::Properties instance.

## Member Function Documentation

## ◆ bitrate()

virtual int TagLib::FLAC::Properties::bitrate | ( |  | ) | const
| virtual

Returns the average bit rate of the file in kb/s.

Implements TagLib::AudioProperties.

## ◆ bitsPerSample()

int TagLib::FLAC::Properties::bitsPerSample | ( |  | ) | const

Returns the number of bits per audio sample as read from the FLAC identification header.

## ◆ channels()

virtual int TagLib::FLAC::Properties::channels | ( |  | ) | const
| virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## ◆ length()

virtual TAGLIB_DEPRECATED int TagLib::FLAC::Properties::length | ( |  | ) | const
| virtual

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

Note
  This method is just an alias of lengthInSeconds().

Deprecated:
  Use lengthInSeconds().

Implements TagLib::AudioProperties.

## ◆ lengthInMilliseconds()

int TagLib::FLAC::Properties::lengthInMilliseconds | ( |  | ) | const

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

## ◆ lengthInSeconds()

int TagLib::FLAC::Properties::lengthInSeconds | ( |  | ) | const

Returns the length of the file in seconds. The length is rounded down to the nearest whole second.

See also
  lengthInMilliseconds()

## ◆ sampleFrames()

unsigned long long TagLib::FLAC::Properties::sampleFrames | ( |  | ) | const

Return the number of sample frames.

## ◆ sampleRate()

virtual int TagLib::FLAC::Properties::sampleRate | ( |  | ) | const
| virtual

Returns the sample rate in Hz.

Implements TagLib::AudioProperties.

## ◆ sampleWidth()

TAGLIB_DEPRECATED int TagLib::FLAC::Properties::sampleWidth | ( |  | ) | const

Returns the sample width as read from the FLAC identification header.

Note
  This method is just an alias of bitsPerSample().

Deprecated:
  Use bitsPerSample().

## ◆ signature()

ByteVector TagLib::FLAC::Properties::signature | ( |  | ) | const

Returns the MD5 signature of the uncompressed audio stream as read from the stream info header.

The documentation for this class was generated from the following file:

- flacproperties.h